<div class="text-center padding">
  <h1>🚀</h1>
  <h1 class="margin-bottom">Welcome, world</h1>
  <p>Use the form below to join my wonderful app</p>
  <div *ngIf="!isLoading">
    <form [formGroup]="form" (ngSubmit)="submit()">
      <mat-form-field>
        <input
          matInput
          placeholder="Email"
          type="email"
          formControlName="email"
        />
      </mat-form-field>
      <app-requirements
        [visible]="email.touched && email.invalid"
        [list]="emailRequirements"
      ></app-requirements>

      <mat-form-field>
        <input
          matInput
          placeholder="Password"
          type="password"
          formControlName="password"
        />
      </mat-form-field>
      <app-requirements
        [visible]="password.touched && password.invalid"
        [list]="passwordRequirements"
      ></app-requirements>
      <mat-form-field>
        <input
          matInput
          placeholder="Confirm Password"
          type="password"
          formControlName="confirmPassword"
        />
      </mat-form-field>
      <app-requirements
        [visible]="confirmPassword.touched && form.invalid"
        [list]="formRequirements"
      ></app-requirements>
      <div class="margin">
        <button mat-raised-button type="submit" color="primary">Signup</button>
      </div>
    </form>
    <a mat-button routerLink="/auth/login">Already have an account</a>
  </div>
  <div *ngIf="isLoading">
    <mat-progress-bar mode="indeterminate"> </mat-progress-bar>
  </div>
</div>
